	//外部服务地址（如果使用nginx服务的话，该值设为空）
	//仪征服务器：http://112.35.56.50:8089
	//高邮服务器：http://58.220.216.238:8088

	var route = "http://112.35.56.50:8089";
	
	$.ajaxSetup({
		beforeSend: function(){
			var url = arguments[1].url;
			if(url.indexOf(".json")<0){
				var newurl = route+url;
				arguments[1].url = newurl;
			}
		}
	})


	var cityname = "仪征";
	var dcity = "扬州";
	var mapType = 2;  //1是百度   2是高德
	
	//仪征中心坐标   119.16   32.27
	//高邮中心坐标   119.47   32.78
	var longitude = "119.16";
	var latitude = "32.27";
	
	//判断是否是微信浏览器
	function isWeiXin(){
		//window.navigator.userAgent属性包含了浏览器类型、版本、操作系统类型、浏览器引擎类型等信息，这个属性可以用来判断浏览器类型
		var ua = window.navigator.userAgent.toLowerCase();
		//通过正则表达式匹配ua中是否含有MicroMessenger字符串
		if(ua.match(/MicroMessenger/i) == 'micromessenger'){
			return true;
		}else{
			return false;
		}
	}

	//生成六位随机数
	function getRandomNum(){
        var randomNum = ""+Math.round(Math.random()*1000000);
        while(randomNum.length<6){
        	randomNum="1"+randomNum;
        }
        return randomNum;
    } 
    
	function modifyTime(time){
		if(time != null){
			str1=time.substring(0,2);
			str2=time.substring(2,time.length);
			time=str1+":"+str2;
		}
		return time;
	}
	

	var result;
	var stands = new Array();;
	function loadStand(map){
		var msgid = getRandomNum();
		$.ajax({
			url:"/rspublish/service",
			dataType:"json",	
			type:"post",
			async:true,
			data:{
				"msgid":msgid,
		    	"command":5004,
				"latitude":latitude,	  
				"longitude":longitude, 
				"range":"1000"
			},
			success:function(data){
				if(data.msgid == msgid && data.command == 5004 && data.status == 200){
					var list = data.content.standlist;
					for(var i=0;i<list.length;i++){
//						var pos = changeGPS(list[i].latitude ,list[i].longitude)
						var marker = OWNMAP.add_marker(map,list[i].longitude,list[i].latitude,"../../img/fj/zp.png",23,30,0,30);
						stands.push(marker);
//						OWNMAP.add_lable(marker,list[i].sname,0,-20);
						(function() {
							var stand = list[i];
				            marker.on("click",function(){  
				                showStandInfo(stand);
				            });  
				        })();
						
					}
				}
			}
		});	
	
	}
	
	function showStandInfo(stand){
		mui.openWindow({
				url:'../zd/dqzd.html?sguid='+stand.sguid+'&sname='+stand.sname,
				id:'dqzd.html',
		});
	}
	var cars = new Array();
	function loadBus(map){
		var msgid = getRandomNum();
			$.ajax({
				url:"/rspublish/service",
				dataType:"json",	
				type:"post",
				async:true,
				data:{
					"msgid":msgid,
			    	"command":5007,
					"latitude":latitude,	  
					"longitude":longitude, 
					"range":"1000"
				},
				success:function(data){
					if(data.msgid == msgid && data.command == 5007 && data.status == 200){
						var list = data.content.buslist;
						for(var i=0;i<list.length;i++){
//							var pos = changeGPS(list[i].latitude ,list[i].longitude);
							var marker = OWNMAP.add_marker(map,list[i].longitude,list[i].latitude,"../../img/fj/qiche.png",23,30,0,30);							
//							OWNMAP.add_lable(marker,list[i].lname,0,-10);
							cars.push(marker);
							(function() {
								var bus = list[i];
					            marker.on("click",function(){  
					                showBusInfo(bus);  
					            });  
					        })();
						}
					}
				}
			});
	}

	function showBusInfo(bus){
		mui.openWindow({
			url:'xl2.html?liguid='+bus.liguid,
			id:'xl2.html',
			});
	}
	
	
	function showstand(){
		OWNMAP.remove_marker(cars);
		loadStand(map);	
	}
	
	function showbus(){
		OWNMAP.remove_marker(stands);
		loadBus(map);
	}



	function changeGPS(latitude,longitude){
		var pos = GPS.gcj_encrypt(latitude,longitude);
		var pos1 =  GPS.bd_encrypt(pos.lat,pos.lon);
		return pos1;
	}


	function getQueryString(name){
	     var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
	     var r = window.location.search.substr(1).match(reg);
	     return r?decodeURIComponent(r[2]):null;
	}
	


